Summary: Get RAID status out of mpt (and other) HW RAID controllers
Name: mpt-status
Version: 1.2.0
Release: 3%{?dist}
License: GPLv2+
Group: Applications/System
URL: http://www.drugphish.ch/~ratz/mpt-status/
Source: http://www.drugphish.ch/~ratz/mpt-status/%{name}-%{version}.tar.gz
Source10: mpt-status.init
Patch1: mpt-status.header_path.patch
Patch2: mpt-status.includes.patch
BuildRequires: pciutils-devel
Requires: daemonize
Requires (preun): /sbin/chkconfig
Requires (preun): /sbin/service 
Requires (post): /sbin/chkconfig

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The mpt-status software is a query tool to access the running
configuration and status of LSI SCSI HBAs. mpt-status allows
you to monitor the health and status of your RAID setup.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__install} -D -m0755 mpt-status %{buildroot}%{_sbindir}/mpt-status
%{__install} -D -m0755 %{SOURCE10} %{buildroot}/%{_sysconfdir}/rc.d/init.d/mpt-statusd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc doc/*
%{_sbindir}/mpt-status
%{_sysconfdir}/rc.d/init.d/mpt-statusd

%post
/sbin/chkconfig --add mpt-statusd

%preun
/sbin/service mpt-statusd stop > /dev/null 2>&1
/sbin/chkconfig --del mpt-statusd

%changelog
* Sun Oct 16 2011 Sven Hoexter <sven@timegate.de> - 1.2.0-3
- Add mpt-status.init as Source10 and install it into the package.
- Require redhat-lsb, daemonize and chkconfig/service for post/preun.
- post and preun snippets to add/remove mpt-status from the
  chkconfig service list.

* Thu Sep 22 2011 Sven Hoexter <sven@timegate.de> - 1.2.0-2
- Start summary with a capital letter (rpmlint).
- Change License to GPLv2+ (rpmlint).
- Remove 'Packager' tag (rpmlint).
- Remove macro from the prior changelog entry (rpmlint).
- Add -q to the 'setup' macro (rpmlint).
- Edit 'Source' tag to contain the upstream URL (rpmlint). 

* Sun Sep 11 2011 Sven Hoexter <sven@timegate.de> - 1.2.0-1
- Add Patch1 and Patch2, taken from Debian and re-diffed for a
  generic path.
- Add BuildRequires pciutils-devel.
- Add 'dist' to the release version.
- Add BuildRoot format from one of the Fedora examples.
- Change Packager to Sven Hoexter <sven@timegate.de>.
- Copy the short and long description from the Debian package.

* Fri Jun 30 2006 Roberto Nibali (ratz@drugphish.ch)
- Changed release version

* Fri Jun 30 2006 Rich Edelman (rich.edelman@openwave.com)
- Upgraded to version 1.2.0-RC7
- Changed Makefile to use /lib/modules/`uname -r`/build as the KERNEL_PATH 
  directory, instead of /usr/src/linux. This should make building this package
  across different distributions easier. (Patch mpt-status-fix-kernel-path.diff)

* Thu Jul 14 2005 Jean-Philippe CIVADE <jp.civade@100p100.net> - 1.1.3-0
- Initial package.
